cURL
curl --request PATCH \
--url https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"secret_key": "<string>",
"test_secret_key": "<string>",
"allow_promotion_codes": true
}
'import requests
url = "https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id}"
payload = {
"project_id": "<string>",
"secret_key": "<string>",
"test_secret_key": "<string>",
"allow_promotion_codes": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
secret_key: '<string>',
test_secret_key: '<string>',
allow_promotion_codes: true
})
};
fetch('https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => '<string>',
'secret_key' => '<string>',
'test_secret_key' => '<string>',
'allow_promotion_codes' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id}"
payload := strings.NewReader("{\n \"project_id\": \"<string>\",\n \"secret_key\": \"<string>\",\n \"test_secret_key\": \"<string>\",\n \"allow_promotion_codes\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"<string>\",\n \"secret_key\": \"<string>\",\n \"test_secret_key\": \"<string>\",\n \"allow_promotion_codes\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"<string>\",\n \"secret_key\": \"<string>\",\n \"test_secret_key\": \"<string>\",\n \"allow_promotion_codes\": true\n}"
response = http.request(request)
puts response.read_body{
"integration": {
"project_id": "<string>",
"secret_key": "<string>",
"test_secret_key": "<string>",
"allow_promotion_codes": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Stripe Integration
Update stripe integration
UpdateStripeIntegration
Updates existing stripe integration.
PATCH
/
monetization
/
integrations
/
v1
/
stripe
/
{project_id}
cURL
curl --request PATCH \
--url https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"secret_key": "<string>",
"test_secret_key": "<string>",
"allow_promotion_codes": true
}
'import requests
url = "https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id}"
payload = {
"project_id": "<string>",
"secret_key": "<string>",
"test_secret_key": "<string>",
"allow_promotion_codes": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
secret_key: '<string>',
test_secret_key: '<string>',
allow_promotion_codes: true
})
};
fetch('https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => '<string>',
'secret_key' => '<string>',
'test_secret_key' => '<string>',
'allow_promotion_codes' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id}"
payload := strings.NewReader("{\n \"project_id\": \"<string>\",\n \"secret_key\": \"<string>\",\n \"test_secret_key\": \"<string>\",\n \"allow_promotion_codes\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"<string>\",\n \"secret_key\": \"<string>\",\n \"test_secret_key\": \"<string>\",\n \"allow_promotion_codes\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mottostreaming.com/monetization/integrations/v1/stripe/{project_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"<string>\",\n \"secret_key\": \"<string>\",\n \"test_secret_key\": \"<string>\",\n \"allow_promotion_codes\": true\n}"
response = http.request(request)
puts response.read_body{
"integration": {
"project_id": "<string>",
"secret_key": "<string>",
"test_secret_key": "<string>",
"allow_promotion_codes": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Body
application/json
StripeIntegration
The Motto project to which this integration belongs
The Stripe secret key connected to the "live" environment in Stripe.
The Stripe secret key connected to the "test" environment in Stripe.
Whether users can enter promotion codes during Stripe checkout.
Response
OK
StripeIntegration
Show child attributes
Show child attributes

